Subject: RE: draft-rajahalme-ipv6-flow-label-00.txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Thu, 3 Jan 2002 17:19:44 +0100

> 
  > The IANA assignment approach comes afterwards - once we get the
  > immutability property in the standard, we can use IANA assigned
  > values without further work. For diffserv we would use the
  > PHB ID values of RFC 3140, but there is no need to specify that
  > as part of the flow label definition; it comes free of charge.
  > 

=> You need to make sure this is done before the 
fl text becomes standard, otherwise there will
be conflicts between implementors who are
not aware of IANA-based thoughts and the values
that IANA may reserve. 

Hesham

  > >   > >   > > => Well, there is no requirement that the 
  > flow label is
  > >   > >   > > globally unique. So this should work as long 
  > as you use
  > >   > >   > > a unique value between 2 addresses.
  > >   > >   > >
  > >   > >   >
  > >   > >   > However, it's only useful for a subset of cases,
  > >   > >
  > >   > > => I didn't really understand what you mean by 'subset
  > >   > > of cases'.
  > >   >
  > >   > It doesn't apply to the diffserv usage (where the label
  > >   > is unique to a traffic class, not a flow or a pair of ports,
  > >   > and may be IANA-registered)
  > > 
  > > => That's why I didn't know what you meant :)
  > > I went back and re-read the draft but I couldn't
  > > see anything about IANA assignment.
  > > In fact I brought this up in the meeting but there
  > > was no support for the idea, so is this something
  > > you'd like to add or have I completely misunderstood
  > > something ?
  > > 
  > > Hesham
  > 
  > 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------